This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 216440

Summary: rpc.statd ate my CUPS
Product: [Fedora] Fedora Reporter: Tim Smith <tim>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED NOTABUG QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: mht
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-26 10:24:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tim Smith 2006-11-20 09:49:29 EST
Description of problem:
When a system has both NFS and CUPS, the nfslock service starts first during 
boot and always gets assigned port 631, which causes CUPS startup to fail.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.10-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. Enable CUPS
2. Enable nfslock
3. Reboot
  
Actual results:
CUPS fails to start as port 631 already in use

Expected results:
CUPS should start

Additional info:
Could fix this by setting the port used by rpc.statd to a safe value with 
the -p option, or by moving CUPS before portmap in the boot sequence.
According to the manual page, rpc.statd requests a port from the portmapper. I 
don't see a way to tell the portmapper what range is acceptable though., so 
possibly this is a bug report/feature request for the portmapper.
Comment 1 Hansen Tanjung 2007-02-01 04:10:52 EST
Yes, I can confirm this. This conflict beat my coworker computer twice at this week.
Comment 2 Steve Dickson 2007-03-12 13:38:38 EDT
You can explicitly set the port statd
will listen on by setting the STATD_PORT
variable in /var/sysconfig/nfs which
should help avoid this problem
Comment 3 Tim Smith 2007-05-25 03:43:56 EDT
That should work. This should be set by default though. It doesn't appear to 
be on by default in my FC6 setup.
Comment 4 Steve Dickson 2007-07-26 10:24:03 EDT
in more recent nfs-utils I've added a fully populated 
/etc/sysconfig/nfs file that should help... 
Comment 5 Hansen Tanjung 2007-07-26 22:49:00 EDT
is this backported for fc6 too?
Thank's